## org.omg.CORBA_2_3.portable
Class Delegate

    java.lang.Object
      |
      +--org.omg.CORBA.portable.Delegate
            |
            +--org.omg.CORBA_2_3.portable.Delegate

Direct Known Subclasses:
  Delegate

public abstract class Delegate
extends Delegate

Constructor Summary
`Delegate()`

Method Summary
`java.lang.String` `get_codebase(Object self)`

Methods inherited from class org.omg.CORBA.portable.Delegate
`create_request, create_request, duplicate, equals, get_domain_managers, get_interface_def, get_interface, get_policy, hash, hashCode, invoke, is_a, is_equivalent, is_local, non_existent, orb, release, releaseReply, request, request, servant_postinvoke, servant_preinvoke, set_policy_override, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Delegate

    public Delegate()

Method Detail

### get_codebase

    public java.lang.String get_codebase(Object self)